/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-07-30 00:29
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(int i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;


void solve(){
    int N;
    cin >> N;
    
    // Code goes here ...
    int frogs[N + 1], hits[N + 1];
    int frog;
    fill(frogs, frogs + N + 1, 0);
    fill(hits, hits + N + 1, 0);
    R(i, N){
        cin >> frog;
        if(frog <= N){
            frogs[frog]++;
        }
    }
    F(i, 1, N+1)
        if(frogs[i])
            for(int j = 1; j * i <= N; j++)
                hits[j * i] += frogs[i];
    int m = 0;
    F(i, 1, N+1)
        m = max(m, hits[i]);

    cout << m << endl;
}

int main(){
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
